# Interface methods for submodule: Versor
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate



# Interface methods for class: Versor
class VersorProxy():
	def GetVnlQuaternion(self) -> vnl_quaternion:
		""""""
		...

	@overload
	def Set(self, arg0: vnl_quaternion) -> None:
		""""""
		...

	@overload
	def Set(self, x: float, y: float, z: float, w: float) -> None:
		""""""
		...

	@overload
	def Set(self, axis: Sequence[float], angle: float) -> None:
		""""""
		...

	@overload
	def Set(self, mat) -> None:
		""""""
		...

	@overload
	def Set(self, axis: Sequence[float]) -> None:
		""""""
		...

	def GetTensor(self) -> float:
		""""""
		...

	def Normalize(self) -> None:
		""""""
		...

	def GetConjugate(self):
		""""""
		...

	def GetReciprocal(self):
		""""""
		...

	def GetScalar(self) -> float:
		""""""
		...

	def GetX(self) -> float:
		""""""
		...

	def GetY(self) -> float:
		""""""
		...

	def GetZ(self) -> float:
		""""""
		...

	def GetW(self) -> float:
		""""""
		...

	def GetAngle(self) -> float:
		""""""
		...

	def GetAxis(self) -> Sequence[float]:
		""""""
		...

	def GetRight(self) -> Sequence[float]:
		""""""
		...

	def SetRotationAroundX(self, angle: float) -> None:
		""""""
		...

	def SetRotationAroundY(self, angle: float) -> None:
		""""""
		...

	def SetRotationAroundZ(self, angle: float) -> None:
		""""""
		...

	def SetIdentity(self) -> None:
		""""""
		...

	@overload
	def Transform(self, v: Sequence[float]) -> Sequence[float]:
		""""""
		...

	@overload
	def Transform(self, v: vnl_vector_fixed) -> vnl_vector_fixed:
		""""""
		...

	def GetMatrix(self):
		""""""
		...

	def SquareRoot(self):
		""""""
		...

	def Exponential(self, exponent: float):
		""""""
		...

